Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# CHeapRep Class Reference
[OSCL Util]

`#include <oscl_string_rep.h>`

## Public Methods
| CHeapRep ()
OSCL_IMPORT_REF bool | set (uint32, const char *, Oscl_DefAlloc &)
OSCL_IMPORT_REF bool | set (uint32, const oscl_wchar *, Oscl_DefAlloc &)
OSCL_IMPORT_REF bool | append (uint32, const char *, uint32, const char *, Oscl_DefAlloc &)
OSCL_IMPORT_REF bool | append (uint32, const oscl_wchar *, uint32, const oscl_wchar *, Oscl_DefAlloc &)
OSCL_IMPORT_REF void | add_ref ()
OSCL_IMPORT_REF void | remove_ref (Oscl_DefAlloc &)
## Static Public Methods
OSCL_IMPORT_REF void | set_rep (CHeapRep *&, Oscl_DefAlloc &, const char *, uint32)
OSCL_IMPORT_REF void | set_rep (CHeapRep *&, Oscl_DefAlloc &, const oscl_wchar *, uint32)
OSCL_IMPORT_REF void | append_rep (CHeapRep *&, Oscl_DefAlloc &, const char *, uint32)
OSCL_IMPORT_REF void | append_rep (CHeapRep *&, Oscl_DefAlloc &, const oscl_wchar *, uint32)
OSCL_IMPORT_REF void | assign (CHeapRep *&, CHeapRep *, Oscl_DefAlloc &)
## Data Fields
uint32 | refcount
OsclAny * | buffer
uint32 | maxsize
uint32 | size

## Detailed Description

For internal use only-- heap string representation

## Constructor & Destructor Documentation

CHeapRep::CHeapRep | ( |  | ) | `[inline]`

## Member Function Documentation

OSCL_IMPORT_REF void CHeapRep::add_ref | ( |  | ) |

OSCL_IMPORT_REF bool CHeapRep::append | ( | uint32 | ,
|  | const oscl_wchar * | ,
|  | uint32 | ,
|  | const oscl_wchar * | ,
|  | Oscl_DefAlloc & |
| ) |

OSCL_IMPORT_REF bool CHeapRep::append | ( | uint32 | ,
|  | const char * | ,
|  | uint32 | ,
|  | const char * | ,
|  | Oscl_DefAlloc & |
| ) |

OSCL_IMPORT_REF void CHeapRep::append_rep | ( | CHeapRep *& | ,
|  | Oscl_DefAlloc & | ,
|  | const oscl_wchar * | ,
|  | uint32 |
| ) | `[static]`

OSCL_IMPORT_REF void CHeapRep::append_rep | ( | CHeapRep *& | ,
|  | Oscl_DefAlloc & | ,
|  | const char * | ,
|  | uint32 |
| ) | `[static]`

OSCL_IMPORT_REF void CHeapRep::assign | ( | CHeapRep *& | ,
|  | CHeapRep * | ,
|  | Oscl_DefAlloc & |
| ) | `[static]`

OSCL_IMPORT_REF void CHeapRep::remove_ref | ( | Oscl_DefAlloc & |  | ) |

OSCL_IMPORT_REF bool CHeapRep::set | ( | uint32 | ,
|  | const oscl_wchar * | ,
|  | Oscl_DefAlloc & |
| ) |

OSCL_IMPORT_REF bool CHeapRep::set | ( | uint32 | ,
|  | const char * | ,
|  | Oscl_DefAlloc & |
| ) |

OSCL_IMPORT_REF void CHeapRep::set_rep | ( | CHeapRep *& | ,
|  | Oscl_DefAlloc & | ,
|  | const oscl_wchar * | ,
|  | uint32 |
| ) | `[static]`

OSCL_IMPORT_REF void CHeapRep::set_rep | ( | CHeapRep *& | ,
|  | Oscl_DefAlloc & | ,
|  | const char * | ,
|  | uint32 |
| ) | `[static]`

## Field Documentation

OsclAny* CHeapRep::buffer

uint32 CHeapRep::maxsize

uint32 CHeapRep::refcount

uint32 CHeapRep::size

The documentation for this class was generated from the following file:

- oscl_string_rep.h